# Enable or Disable Auto-Showing

By default, surveys will show automatically within 10 seconds of launching the application provided the user meets the criteria required. This automatic showing of surveys can be disabled and enabled using this API.

{% tabs fullWidth="true" %}
{% tab title="iOS - Swift" %}

```swift
Surveys.autoShowingEnabled = false
```

{% endtab %}

{% tab title="iOS - ObjC" %}

```objectivec
LCQSurveys.autoShowingEnabled = NO;
```

{% endtab %}

{% tab title="And - Java" %}

```java
Surveys.setAutoShowingEnabled(false);
```

{% endtab %}

{% tab title="And - Kotlin" %}

```kotlin
Surveys.setAutoShowingEnabled(false)
```

{% endtab %}

{% tab title="RN" %}

```javascript
Surveys.setAutoShowingEnabled(false);
```

{% endtab %}

{% tab title="Flutter" %}

```dart
Surveys.setAutoShowingEnabled(false);
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.luciq.ai/references/in-app-surveys/enable-or-disable-surveys-auto-showing.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
